Tetrarch Thifiell:
The Shillien Oracle is a celebrant of darkness who fulfills the oracular prophecies of Shilen by studying darkness and death spawned by Shilen, and the spirits of destruction and chaos that serve her. Unlike Human and Elven Priests, who look to the gods of light, the Shillien Oracle understands the truth of both light and darkness, and not only can heal companions with white magic and supplementary magic, but also can curse opponents or steal their energy by means of black magic.
The most spiritually advanced Shillien Oracles are chosen as Shillien Elders. The Shillien Elder is our spiritual leader, and understands the divine natures of Shilen and Gran Kain better than anyone else.
Ask about changing profession to a Shillien Oracle
Return